<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <style>
    body {
      height: 2500px;
    }

    .content {
      height: 500px;
    }

    .fixme {
      background: green;
      color: white;
      text-align: center;
      width: 100%;
      height: 90vh;
      /* display: inline-block; */
    }

    .div2 {
      margin: 30px;
      background-color: red;
      width: 100%;
      height: 40px;
      text-align: center;
      display: inline-block;
    }
    /* .div3{
      background-color: lightpink;
      width: 100vw;
      height: 20vh;
      font-size: 33px;
      direction: rtl;
      text-align: center;
      padding: 30px;
    } */
  </style>
</head>

<body>
  <div class="content"></div>
  <div class="fixme">Scroll here</div>
  <div class="div2">div 2 div 2 </div>
  <div class="div3">سلام خوبی چه خبر !!!</div>




  
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
  <script>
    var fixmeTop = $('.fixme').offset().top;
    let divTop = $('.div2').offset().top;

    console.log('fixmeTop = ', fixmeTop);

    $(window).scroll(function () {
      var currentScroll = Math.ceil($(window).scrollTop());
      console.log('currentScroll = ', currentScroll);
      console.log('fixme Top 1 = ',Math.ceil( $('.fixme').offset().top));
      console.log('div2 Top 1 = ',Math.ceil($('.div2').offset().top));
     
      if (currentScroll >= fixmeTop && currentScroll < 1000) {
        $('.fixme').css({
          position: 'fixed',
          top: '0',
          left: '0'
        });
        $('.div2').css({
          position: 'fixed',
          top: '86vh',
          left: '0'
        });
        console.log('fixme Top 2 = ', Math.ceil( $('.fixme').offset().top));
        console.log('div2 Top 2 = ', Math.ceil($('.div2').offset().top));
      } else {
        $('.fixme').css({
          position: 'unset',
          transition: 'all .5s'
        });
        $('.div2').css({
          position: 'unset',
          transition: 'all .5s'
        });
      }
    });
  </script>
</body>

</html>